Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils
Class TemplateEngineUtils.ClasspathResourceLoader

    java.lang.Object
      org.apache.velocity.runtime.resource.loader.ResourceLoader
          be.ehealth.technicalconnector.utils.TemplateEngineUtils.ClasspathResourceLoader

Enclosing class:
  TemplateEngineUtils

    public static class TemplateEngineUtils.ClasspathResourceLoader

extends org.apache.velocity.runtime.resource.loader.ResourceLoader

Constructor Summary
`TemplateEngineUtils.ClasspathResourceLoader()`

Method Summary
`long` | `getLastModified(org.apache.velocity.runtime.resource.Resource resource)`
`InputStream` | `getResourceStream(String source)`
`void` | `init(org.apache.commons.collections.ExtendedProperties configuration)`
`boolean` | `isSourceModified(org.apache.velocity.runtime.resource.Resource resource)`

Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateEngineUtils.ClasspathResourceLoader

    public TemplateEngineUtils.ClasspathResourceLoader()

Method Detail

### init

    public void init(org.apache.commons.collections.ExtendedProperties configuration)

  Specified by:
    `init` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

### getResourceStream

    public InputStream getResourceStream(String source)
                                  throws org.apache.velocity.exception.ResourceNotFoundException

  Specified by:
    `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
  Throws:
    `org.apache.velocity.exception.ResourceNotFoundException`

### isSourceModified

    public boolean isSourceModified(org.apache.velocity.runtime.resource.Resource resource)

  Specified by:
    `isSourceModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

### getLastModified

    public long getLastModified(org.apache.velocity.runtime.resource.Resource resource)

  Specified by:
    `getLastModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.